plugins {
    id 'com.android.application'
}

android {
    compileSdkVersion 30

    defaultConfig {
        applicationId "com.nsgk.ruralWeb"
        minSdkVersion 24
        targetSdkVersion 30
        versionCode 1
        versionName "1.0"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"

        // App首页链接地址
        buildConfigField "String", "APP_HOME_URL", "\"${project.properties.appHomeUrl}\""

        // App启动页版权文本
        buildConfigField "String", "APP_COMPYRIGHT", "\"${project.properties.appCopyright}\""
        // App启动页厂商名称
        buildConfigField "String", "APP_VENDOR", "\"${project.properties.appVendor}\""

        // App图标
        buildConfigField "String", "APP_ICON", "\"${project.properties.appIconKey}\""

        // AndroidManifest.xml占位符
        manifestPlaceholders = [
                // App名称
                APP_NAME: "${project.properties.appName}",
                // App图标
                APP_ICON: "@mipmap/ic_launcher_${project.properties.appIconKey}",
                // App圆角图标
                APP_ROUND_ICON: "@mipmap/ic_launcher_${project.properties.appIconKey}_round"
        ]
    }

    signingConfigs {
        release {
            v1SigningEnabled true
            v2SigningEnabled true
            storeFile file(project.properties.storeFile)
            storePassword project.properties.storePassword
            keyAlias project.properties.keyAlias
            keyPassword project.properties.keyPassword
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            signingConfig signingConfigs.release
            resValue("string", "app_home_url", "\"${project.properties.appHomeUrl}\"")
            resValue("string", "app_copyright", "\"${project.properties.appCopyright}\"")
            resValue("string", "app_vendor", "\"${project.properties.appVendor}\"")
            resValue("string", "app_name2", "\"${project.properties.appName}\"")
        }
        debug {
            signingConfig signingConfigs.release
            resValue("string", "app_home_url", "\"${project.properties.appHomeUrl}\"")
            resValue("string", "app_copyright", "\"${project.properties.appCopyright}\"")
            resValue("string", "app_vendor", "\"${project.properties.appVendor}\"")
            resValue("string", "app_name2", "\"${project.properties.appName}\"")
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    buildFeatures {
        viewBinding true
    }
}

dependencies {

    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'com.google.android.material:material:1.2.1'
    testImplementation 'junit:junit:4.+'
    androidTestImplementation 'androidx.test.ext:junit:1.1.2'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
    implementation 'com.github.Justson.AgentWeb:agentweb-core:v4.1.9-androidx' // (必选)
    implementation 'com.github.Justson.AgentWeb:agentweb-filechooser:v4.1.9-androidx'
    implementation 'androidx.preference:preference:1.1.1'
    implementation 'cn.hutool:hutool-all:5.5.4'

    compile fileTree(include: ['*.jar'], dir: 'libs')
    //compile 'com.amap.api:location:latest.integration'
}
